<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.infinispan.remote-cache-container.remote-cluster" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="socket-bindings"/>
        <elem name="addr-params" value="profile,subsystem,remote-cache-container,remote-cluster"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.remote-cache-container.remote-cluster.$remote-cache-container.$remote-cluster"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.outbound-socket-binding.$socket-bindings"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan.remote-cache-container"/>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="socket-bindings" type="List&lt;String&gt;" stability="default"/>
        <param name="remote-cluster" feature-id="true"/>
        <param name="remote-cache-container" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>